package vieon.reactlibrary.player.plugins.filmstrip;

import androidx.annotation.NonNull;
import com.google.android.exoplayer2.upstream.DataSource;
import java.util.Map;

public interface DataSourceFactory extends DataSource.Factory {
  void addHeaderParameter(@NonNull String var1, @NonNull String var2);

  void clearHeaderParameters();

  void addQueryParameter(@NonNull String var1, @NonNull String var2);

  void clearQueryParameters();

  @NonNull Map<String, String> getHeaderParameter();

  @NonNull
  Map<String, String> getQueryParameter();

  DataSource createDataSource(int var1);
}