
# react-native-vie-on-player

## Getting started

`$ npm install react-native-vie-on-player --save`

### Mostly automatic installation

`$ react-native link react-native-vie-on-player`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-vie-on-player` and add `RNVieOnPlayer.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNVieOnPlayer.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import vieon.reactlibrary.RNVieOnPlayerPackage;` to the imports at the top of the file
  - Add `new RNVieOnPlayerPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-vie-on-player'
  	project(':react-native-vie-on-player').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-vie-on-player/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-vie-on-player')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNVieOnPlayer.sln` in `node_modules/react-native-vie-on-player/windows/RNVieOnPlayer.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Vie.On.Player.RNVieOnPlayer;` to the usings at the top of the file
  - Add `new RNVieOnPlayerPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNVieOnPlayer from 'react-native-vie-on-player';

// TODO: What to do with the module?
RNVieOnPlayer;
```
  